unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, StdCtrls;

type
  
  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Image1: TImage;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}
{$R componenttreeview.res}

uses
  LclType;

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
var
  png: TPortableNetworkGraphic;
begin
  png := TPortableNetworkGraphic.Create;
  try
    png.LoadFromResourceName(HINSTANCE, 'OI_Form');
    Image1.Picture.Assign(png);
  finally
    png.Free;
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Image1.Picture.LoadFromResourceName(HINSTANCE, 'OI_FORM_150', TPortableNetworkGraphic);
end;

procedure TForm1.Button3Click(Sender: TObject);
var
  stream: TStream;
  pic: TPicture;
begin
  pic := TPicture.Create;
  try
    stream := TResourceStream.Create(HINSTANCE, PChar('OI_FORM_200'), RT_RCDATA);;
    try
      pic.LoadFromStream(stream);
    finally
      stream.Free;
    end;
    Image1.Picture.Assign(pic);
  finally
    pic.Free;
  end;
end;

end.

